### Enumeration

# Qmi LocTechnologyUsed

since: 1.22

#### Declaration

    flags Qmi.LocTechnologyUsed

#### Description [src]

Which technology has been used.

Available since: 1.22

#### Members

`QMI_LOC_TECHNOLOGY_USED_SATELLITE`

  Satellite.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_TECHNOLOGY_USED_CELLULAR`

  Cellular.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_TECHNOLOGY_USED_WIFI`

  WiFi.

  - Value: `4`
  - Available since: 1.22
`QMI_LOC_TECHNOLOGY_USED_SENSORS`

  Sensors.

  - Value: `8`
  - Available since: 1.22
`QMI_LOC_TECHNOLOGY_USED_REFERENCE_LOCATION`

  Reference Location.

  - Value: `16`
  - Available since: 1.22
`QMI_LOC_TECHNOLOGY_USED_INJECTED_POSITION`

  Injected Position.

  - Value: `32`
  - Available since: 1.22
`QMI_LOC_TECHNOLOGY_USED_AFLT`

  AFLT (Advanced Forward Link Trilateration).

  - Value: `64`
  - Available since: 1.22
`QMI_LOC_TECHNOLOGY_USED_HYBRID`

  Hybrid.

  - Value: `128`
  - Available since: 1.22

#### Type functions

###### qmi_loc_technology_used_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiLocTechnologyUsed` in `mask`.

since: 1.22